# Get a section by SLUG

{% tabs %}
{% tab title="cURL" %}

```bash
curl https://mburger.cloud/api/sections/<slug>?use_slug=true
-H "Accept: application/json" 
-H "X-MBurger-Token: <token>" 
-H "X-MBurger-Version: 3"
```

{% endtab %}

{% tab title="iOS SDK" %}

```swift
MBClient.getSection(withSlug: "SLUG_OF_THE_SECTION",
                    success: { section in
                                
                    },
                    failure: { error in
                                
                    })
```

{% endtab %}

{% tab title="Android SDK" %}

```kotlin
val sectionWSlugListener = object: MBSectionWithSlugResultListener{
            override fun onSectionApiError(error: String) {
            }

            override fun onSectionApiResult(section: MBSection, 
                                            slug: String) {
            }
        }
        
MBurgerTasks.askForSectionWithSlug(context = applicationContext, 
                         slug = SECITON_SLUG,
                         getElements = true,
                         listener = sectionWSlugListener)
```

{% endtab %}

{% tab title="PHP SDK" %}

```php
$response = (new MBurger())->locale(<locale>)->forceSlug()->getSection(<slug>);
```

{% endtab %}

{% tab title="JS SDK" %}

```javascript
const mburger = require('mburger');

const instance = mburger.createClient({
    api_key: "12578sdfghjkl",
});

let latitude = 44.542,
    longitude = 10.452;

instance.getSection({
    section_id: 'introducing-seo'
}).then(result => console.log(result));

```

{% endtab %}

{% tab title="Flutter SDK" %}

```dart
MBSection section = await MBManager.shared.getSectionWithSlug(
  slug: 'slug',
  includeElements: true,
);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mburger.cloud/how-to/advance-section-retrieval/get-a-section-by-slug.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
